(window.webpackJsonp=window.webpackJsonp||[]).push([[106],{"./appsdk/offline/OfflinePageController.js":function(e,t,n){"use strict";n.r(t);var o=n("./appsdk/pages/BasePageController.js");class s extends o.default{constructor(...e){super(...e),this.redirectURL=null}didActivate({queryParams:e}){this.redirectURL=e.redirectURL}}t.default=s},"./appsdk/offline/OfflinePageView.js":function(e,t,n){"use strict";n.r(t),n.d(t,"default",(function(){return d}));var o=n("../../node_modules/react/index.js"),s=n.n(o),i=n("./collaboration/components/OfflineState/OfflineState.js"),a=n("./js/stores/StoreManager.js"),r=n("./js/stores/SyncStatusStore.js"),c=n("./js/services/NavigationService.js"),l=(n("./js/constants/SyncStatusConstants.js"),n("../../node_modules/mobx/lib/mobx.module.js"));class d extends o.Component{constructor(e){super(e)}async componentDidMount(){const e=Object(a.resolveStoreInstance)(r.default);this.connectivityReactionDisposer=Object(l.reaction)((()=>e.isSocketConnected),(e=>{e&&(this.connectivityReactionDisposer&&this.connectivityReactionDisposer(),c.default.transitionToURL(this.props.controller.redirectURL))}),{fireImmediately:!0})}componentWillUnmount(){this.connectivityReactionDisposer&&this.connectivityReactionDisposer()}render(){return s.a.createElement("div",{className:"offline-state-wrapper"},s.a.createElement(i.OfflineState,{heading:"Unable to load data as you're offline",description:"You can view your work and data once you’re back online."}))}}},"./collaboration/components/OfflineState/OfflineState.js":function(e,t,n){"use strict";n.r(t),n.d(t,"OfflineState",(function(){return d}));var o=n("../../node_modules/react/index.js"),s=n.n(o),i=n("../../node_modules/@postman/aether/esmLib/index.js"),a=n("../../node_modules/styled-components/dist/styled-components.browser.esm.js");const r={HEADING:"You are offline",DESCRIPTION:"Get online to load this data."},c=a.default.div`
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  `,l=a.default.div`
    margin: 16px 0 8px;
  `,d=e=>{const{heading:t=r.HEADING,description:n=r.DESCRIPTION}=e;return s.a.createElement(c,null,s.a.createElement(i.IllustrationCheckInternetConnection,null),s.a.createElement(l,null,s.a.createElement(i.Heading,{type:"h4",text:t})),s.a.createElement(i.Text,{type:"body-medium",color:"content-color-secondary"},n))}}}]);